import BaseEntity from "./BaseEntity";

export class SignalSourceEntity extends BaseEntity {
  name: string = "";
  window_type: string = "";
  media_url: string = "";
  user_name: string = "";
  password: string = "";
  ext_data: string = "";
  group_uuid = "";
  system_default: boolean = false;
}

export class SignalSourceTreeItemEntity {
  uuid = "";
  parent = "";
  name = "";
  is_group = false;
  children: SignalSourceTreeItemEntity[] = [];
  item_data: SignalSourceEntity | null = null;

  constructor(
    uuid?: string,
    parent?: string,
    name?: string,
    is_group?: boolean,
    item_data?: any,
    children?: SignalSourceTreeItemEntity[]
  ) {
    this.uuid = uuid ?? "";
    this.parent = parent ?? "";
    this.name = name ?? "";
    this.is_group = is_group ?? false;
    this.children = children ?? (Array.isArray(children) ? children : []);
    this.item_data = item_data;
  }
}
